{
  "name": "@sy/low-code-main",
  "version": "1.0.0-1",
  "packageManager": "pnpm@10.4.1",
  "type": "module",
  "engines": {
    "node": ">=20",
    "pnpm": ">=9.0.2"
  },
  "author": {
    "name": "wangxuefeng",
    "email": "wangxuefeng@shiyue.com"
  },
  "scripts": {
    "low-code:help": "node ./scripts/index.mjs",
    "preinstall": "npx only-allow pnpm && pnpm i -g turbo rimraf",
    "dev": "turbo run dev",
    "build": "turbo run build",
    "preview": "turbo run preview",
    "prepare": "husky",
    "release": "git push && git push origin --tags",
    "gen:changelog": "conventional-changelog -p angular -i CHANGELOG.md -s && git add CHANGELOG.md",
    "clean": "rimraf node_modules",
    "clean:lock": "turbo run clean:lock",
    "clean:lib": "turbo run clean:lib && npm run clean"
  },
  "devDependencies": {
    "@commitlint/cli": "~19.5.0",
    "@commitlint/config-conventional": "~19.5.0",
    "@ifanrx/eslint-config-standard": "^1.3.0",
    "commitizen": "~4.3.1",
    "conventional-changelog-cli": "~4.1.0",
    "cross-env": "~7.0.3",
    "eslint": "~9.13.0",
    "eslint-config-prettier": "~9.1.0",
    "eslint-define-config": "~2.1.0",
    "eslint-plugin-import": "~2.31.0",
    "eslint-plugin-prettier": "~5.2.3",
    "eslint-plugin-unused-imports": "^4.1.4",
    "husky": "~9.1.7",
    "lint-staged": "~15.2.11",
    "postcss-html": "~1.7.0",
    "prettier": "~3.3.3",
    "stylelint": "~16.10.0",
    "stylelint-config-property-sort-order-smacss": "^10.0.0",
    "stylelint-config-recommended": "~14.0.1",
    "stylelint-config-recommended-vue": "~1.5.0",
    "stylelint-config-standard": "~36.0.1",
    "stylelint-order": "~6.0.4",
    "stylelint-prettier": "^5.0.3",
    "typescript": "~5.6.3",
    "vue-eslint-parser": "~9.4.3",
    "vue-tsc": "~2.1.10"
  },
  "dependencies": {
    "inquirer": "^12.4.2",
    "ora": "^8.2.0"
  }
}